namespace ttrss_co_client.tasks;

using System.Linq;
using System.Diagnostics;
using ttrss_co_client.ttrss;
using ttrss_co_client.ttrss.datastructures;
using System.Threading.Tasks;
using System;

public class MarkRead : Phase2Task
{
    public override string TaskName => "markread";

    public override async Task<Tuple<TaskStatus, WorkOrder>> ActOn(WorkOrder workOrder)
    {
        await TtrssClient.UpdateArticleField(ApiClient.UPDATEFIELD.unread, ApiClient.UPDATEMODE.SetFalse, workOrder.articleId);
        return new Tuple<TaskStatus, WorkOrder>(TaskStatus.ContinueNow, workOrder);
    }
}