using ttrss_co_client.ttrss;
using ttrss_co_client.ttrss.datastructures;

namespace ttrss_co_client.tasks
{
    ///<summary>convert, rip ads, etc</summary>
    public abstract class Phase2Task
    {
        public virtual string TaskName { get { return this.GetType().ToString(); } }
        public static ApiClient TtrssClient { get; set; }
        public static Configuration Conf { get; set; }
        
        public enum TaskStatus {Done, ContinueNow, TryLater}
        public abstract Task<Tuple<TaskStatus, WorkOrder>> ActOn(WorkOrder taskSpec);
    }
}