using System.Collections.Generic;

namespace ttrss_co_client.ttrss.datastructures
{
    public class Article
    {
        public int id { get; set; }
        //TODO: custom converter for ttrss's guid
        public string guid { get; set; }
        public string title;
        public Uri link;
        //label-like. seems to be id, caption, fg color, bg color.
        public IEnumerable<IEnumerable<string>> labels;
        public bool unread;
        public bool marked;
        public bool published;
        public string comments;
        public string author;
        public int updated;
        public int feed_id;
        public IEnumerable<Attachment> attachments;
        public double score;
        public string feed_title;
        public string note;
        public string lang;
        public string content;
    }
}