using System.Collections.Generic;

namespace ttrss_co_client.ttrss.datastructures
{
    ///<summary>"Counter Information" - not sure what that is</summary>
    public class CounterInfo
    {
        //there's "global-unread", "subscribed-feeds", and the rest are ints
        public string Id { get; set; }
        public string Updated { get; set; }
        public int? Counter { get; set; }
        public int? AuxCounter { get; set; }
        public int? Markedcounter { get; set; }
        public string Description { get; set; }
        public int? ts { get; set; }
        public DateTime? TimeStamp 
        { 
            get 
            {
                if(ts != null)
                {
                    return  new DateTime(1970,1,1,0,0,0,0,System.DateTimeKind.Utc)
                        .AddSeconds( ts.Value ).ToLocalTime();
                }
                else
                {
                    return null;
                }
            }
        }
        public string Error { get; set; }
        public string Title { get; set; }
    }
}