using System.Collections.Generic;

namespace ttrss_co_client
{
    public class Configuration
    {
        public Uri BaseURI { get; set; }
        public string Username { get; set; }
        public string Password { get; set; }
        public string PodcastTitlePrefix { get; set; }
        public string OnDoneCopy { get; set; }
        public string WorkingDirectory { get; set; } = "./working/";
        public string ChatScript { get; set; }
        public IEnumerable<FeedAction> feedActions { get; set; }
        public class FeedAction
        {
            public string triggerlabelCaption { get; set; }
            public string command { get; set; }
        }
    }
}